Pod::WSDL::Param(3pm)

NAME
Pod::WSDL::Param - Represents the WSDL pod for a parameter of a method (internal use only)

SYNOPSIS
  use Pod::WSDL::Param;
  my $param = new Pod::WSDL::Param('_IN myParam $string This parameter is for blah ...');

DESCRIPTION
This module is used internally by Pod::WSDL. It is unlikely that you have to interact directly with it. If that is the case, take a look at the code, it is rather simple.

METHODS

  new
Instantiates a new Pod::WSDL::Param. The method needs one parameter, the _IN, _OUT or _INOUT string from the pod. Please see SYNOPSIS or the section "Pod Syntax" in the description of Pod::WSDL.

EXTERNAL DEPENDENCIES
  [none]

EXAMPLES
see Pod::WSDL

BUGS
see Pod::WSDL

TODO
see Pod::WSDL

SEE ALSO
  Pod::WSDL

AUTHOR
Tarek Ahmed, <bloerch -the character every email address contains- oelbsk.org>

COPYRIGHT AND LICENSE
Copyright (C) 2006 by Tarek Ahmed

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.5 or, at your option, any later version of Perl 5 you may have available.